%global date 20230117
%global commit cbec8c7acb43edc37b7dde5c6cc5ac4244a908a9
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           qmi-ping
Version:        0^%{date}git%{shortcommit}
Release:        %autorelease
Summary:        Ping-like utility for QMI/QRTR

License:        BSD-3-Clause
URL:            https://github.com/andersson/qmi-ping
Source:         %{url}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  gcc
BuildRequires:  make

BuildRequires:  qrtr-devel

%description
This package a ping-like utility for the Qualcomm IPC Router protocol.

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
%make_build prefix="%{_prefix}"

%install
%make_install prefix="%{_prefix}"

%files
%license LICENSE
%{_bindir}/%{name}

%changelog
%autochangelog
